package com.jiuqi.db;

import java.io.InputStream;
import java.io.Reader;
import java.math.BigDecimal;
import java.net.URL;
import java.sql.Array;
import java.sql.Blob;
import java.sql.Clob;
import java.sql.Date;
import java.sql.Ref;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;
import java.sql.SQLWarning;
import java.sql.Statement;
import java.sql.Time;
import java.sql.Timestamp;
import java.util.Calendar;
import java.util.Map;

/* loaded from: com_jiuqi_db.jar:com/jiuqi/db/DBResultSet.class */
public class DBResultSet implements ResultSet {
    private static final String NULL_STR = "";
    private ResultSet rs;
    private Statement stmt;

    public DBResultSet(Statement aStmt, ResultSet aResultSet) {
        this.rs = aResultSet;
        this.stmt = aStmt;
        DBTrace.createConnection(this);
    }

    @Override // java.sql.ResultSet
    public boolean next() throws SQLException {
        return this.rs.next();
    }

    @Override // java.sql.ResultSet, java.lang.AutoCloseable
    public void close() throws SQLException {
        this.rs.close();
        DBTrace.closeConnection(this);
    }

    @Override // java.sql.ResultSet
    public boolean wasNull() throws SQLException {
        return this.rs.wasNull();
    }

    @Override // java.sql.ResultSet
    public String getString(int int0) throws SQLException {
        String value = this.rs.getString(int0);
        return value == null ? NULL_STR : value;
    }

    @Override // java.sql.ResultSet
    public boolean getBoolean(int int0) throws SQLException {
        return this.rs.getBoolean(int0);
    }

    @Override // java.sql.ResultSet
    public byte getByte(int int0) throws SQLException {
        return this.rs.getByte(int0);
    }

    @Override // java.sql.ResultSet
    public short getShort(int int0) throws SQLException {
        return this.rs.getShort(int0);
    }

    @Override // java.sql.ResultSet
    public int getInt(int int0) throws SQLException {
        return this.rs.getInt(int0);
    }

    @Override // java.sql.ResultSet
    public long getLong(int int0) throws SQLException {
        return this.rs.getLong(int0);
    }

    @Override // java.sql.ResultSet
    public float getFloat(int int0) throws SQLException {
        return this.rs.getFloat(int0);
    }

    @Override // java.sql.ResultSet
    public double getDouble(int int0) throws SQLException {
        return this.rs.getDouble(int0);
    }

    @Override // java.sql.ResultSet
    public BigDecimal getBigDecimal(int int0, int int1) throws SQLException {
        return this.rs.getBigDecimal(int0, int1);
    }

    @Override // java.sql.ResultSet
    public byte[] getBytes(int int0) throws SQLException {
        return this.rs.getBytes(int0);
    }

    @Override // java.sql.ResultSet
    public Date getDate(int int0) throws SQLException {
        return this.rs.getDate(int0);
    }

    @Override // java.sql.ResultSet
    public Time getTime(int int0) throws SQLException {
        return this.rs.getTime(int0);
    }

    @Override // java.sql.ResultSet
    public Timestamp getTimestamp(int int0) throws SQLException {
        return this.rs.getTimestamp(int0);
    }

    @Override // java.sql.ResultSet
    public InputStream getAsciiStream(int int0) throws SQLException {
        return this.rs.getAsciiStream(int0);
    }

    @Override // java.sql.ResultSet
    public InputStream getUnicodeStream(int int0) throws SQLException {
        return this.rs.getUnicodeStream(int0);
    }

    @Override // java.sql.ResultSet
    public InputStream getBinaryStream(int int0) throws SQLException {
        return this.rs.getBinaryStream(int0);
    }

    @Override // java.sql.ResultSet
    public String getString(String string) throws SQLException {
        String value = this.rs.getString(string);
        return value == null ? NULL_STR : value;
    }

    @Override // java.sql.ResultSet
    public boolean getBoolean(String string) throws SQLException {
        return this.rs.getBoolean(string);
    }

    @Override // java.sql.ResultSet
    public byte getByte(String string) throws SQLException {
        return this.rs.getByte(string);
    }

    @Override // java.sql.ResultSet
    public short getShort(String string) throws SQLException {
        return this.rs.getShort(string);
    }

    @Override // java.sql.ResultSet
    public int getInt(String string) throws SQLException {
        return this.rs.getInt(string);
    }

    @Override // java.sql.ResultSet
    public long getLong(String string) throws SQLException {
        return this.rs.getLong(string);
    }

    @Override // java.sql.ResultSet
    public float getFloat(String string) throws SQLException {
        return this.rs.getFloat(string);
    }

    @Override // java.sql.ResultSet
    public double getDouble(String string) throws SQLException {
        return this.rs.getDouble(string);
    }

    @Override // java.sql.ResultSet
    public BigDecimal getBigDecimal(String string, int int1) throws SQLException {
        return this.rs.getBigDecimal(string, int1);
    }

    @Override // java.sql.ResultSet
    public byte[] getBytes(String string) throws SQLException {
        return this.rs.getBytes(string);
    }

    @Override // java.sql.ResultSet
    public Date getDate(String string) throws SQLException {
        return this.rs.getDate(string);
    }

    @Override // java.sql.ResultSet
    public Time getTime(String string) throws SQLException {
        return this.rs.getTime(string);
    }

    @Override // java.sql.ResultSet
    public Timestamp getTimestamp(String string) throws SQLException {
        return this.rs.getTimestamp(string);
    }

    @Override // java.sql.ResultSet
    public InputStream getAsciiStream(String string) throws SQLException {
        return this.rs.getAsciiStream(string);
    }

    @Override // java.sql.ResultSet
    public InputStream getUnicodeStream(String string) throws SQLException {
        return this.rs.getUnicodeStream(string);
    }

    @Override // java.sql.ResultSet
    public InputStream getBinaryStream(String string) throws SQLException {
        return this.rs.getBinaryStream(string);
    }

    @Override // java.sql.ResultSet
    public SQLWarning getWarnings() throws SQLException {
        return this.rs.getWarnings();
    }

    @Override // java.sql.ResultSet
    public void clearWarnings() throws SQLException {
        this.rs.clearWarnings();
    }

    @Override // java.sql.ResultSet
    public String getCursorName() throws SQLException {
        return this.rs.getCursorName();
    }

    @Override // java.sql.ResultSet
    public ResultSetMetaData getMetaData() throws SQLException {
        return this.rs.getMetaData();
    }

    @Override // java.sql.ResultSet
    public Object getObject(int int0) throws SQLException {
        return this.rs.getObject(int0);
    }

    @Override // java.sql.ResultSet
    public Object getObject(String string) throws SQLException {
        return this.rs.getObject(string);
    }

    @Override // java.sql.ResultSet
    public int findColumn(String string) throws SQLException {
        return this.rs.findColumn(string);
    }

    @Override // java.sql.ResultSet
    public Reader getCharacterStream(int int0) throws SQLException {
        return this.rs.getCharacterStream(int0);
    }

    @Override // java.sql.ResultSet
    public Reader getCharacterStream(String string) throws SQLException {
        return this.rs.getCharacterStream(string);
    }

    @Override // java.sql.ResultSet
    public BigDecimal getBigDecimal(int int0) throws SQLException {
        return this.rs.getBigDecimal(int0);
    }

    @Override // java.sql.ResultSet
    public BigDecimal getBigDecimal(String string) throws SQLException {
        return this.rs.getBigDecimal(string);
    }

    @Override // java.sql.ResultSet
    public boolean isBeforeFirst() throws SQLException {
        return this.rs.isBeforeFirst();
    }

    @Override // java.sql.ResultSet
    public boolean isAfterLast() throws SQLException {
        return this.rs.isAfterLast();
    }

    @Override // java.sql.ResultSet
    public boolean isFirst() throws SQLException {
        return this.rs.isFirst();
    }

    @Override // java.sql.ResultSet
    public boolean isLast() throws SQLException {
        return this.rs.isLast();
    }

    @Override // java.sql.ResultSet
    public void beforeFirst() throws SQLException {
        this.rs.beforeFirst();
    }

    @Override // java.sql.ResultSet
    public void afterLast() throws SQLException {
        this.rs.afterLast();
    }

    @Override // java.sql.ResultSet
    public boolean first() throws SQLException {
        return this.rs.first();
    }

    @Override // java.sql.ResultSet
    public boolean last() throws SQLException {
        return this.rs.last();
    }

    @Override // java.sql.ResultSet
    public int getRow() throws SQLException {
        return this.rs.getRow();
    }

    @Override // java.sql.ResultSet
    public boolean absolute(int int0) throws SQLException {
        return this.rs.absolute(int0);
    }

    @Override // java.sql.ResultSet
    public boolean relative(int int0) throws SQLException {
        return this.rs.relative(int0);
    }

    @Override // java.sql.ResultSet
    public boolean previous() throws SQLException {
        return this.rs.previous();
    }

    @Override // java.sql.ResultSet
    public void setFetchDirection(int int0) throws SQLException {
        this.rs.setFetchDirection(int0);
    }

    @Override // java.sql.ResultSet
    public int getFetchDirection() throws SQLException {
        return this.rs.getFetchDirection();
    }

    @Override // java.sql.ResultSet
    public void setFetchSize(int int0) throws SQLException {
        this.rs.setFetchSize(int0);
    }

    @Override // java.sql.ResultSet
    public int getFetchSize() throws SQLException {
        return this.rs.getFetchSize();
    }

    @Override // java.sql.ResultSet
    public int getType() throws SQLException {
        return this.rs.getType();
    }

    @Override // java.sql.ResultSet
    public int getConcurrency() throws SQLException {
        return this.rs.getConcurrency();
    }

    @Override // java.sql.ResultSet
    public boolean rowUpdated() throws SQLException {
        return this.rs.rowUpdated();
    }

    @Override // java.sql.ResultSet
    public boolean rowInserted() throws SQLException {
        return this.rs.rowInserted();
    }

    @Override // java.sql.ResultSet
    public boolean rowDeleted() throws SQLException {
        return this.rs.rowDeleted();
    }

    @Override // java.sql.ResultSet
    public void updateNull(int int0) throws SQLException {
        this.rs.updateNull(int0);
    }

    @Override // java.sql.ResultSet
    public void updateBoolean(int int0, boolean boolean1) throws SQLException {
        this.rs.updateBoolean(int0, boolean1);
    }

    @Override // java.sql.ResultSet
    public void updateByte(int int0, byte byte1) throws SQLException {
        this.rs.updateByte(int0, byte1);
    }

    @Override // java.sql.ResultSet
    public void updateShort(int int0, short short1) throws SQLException {
        this.rs.updateShort(int0, short1);
    }

    @Override // java.sql.ResultSet
    public void updateInt(int int0, int int1) throws SQLException {
        this.rs.updateInt(int0, int1);
    }

    @Override // java.sql.ResultSet
    public void updateLong(int int0, long long1) throws SQLException {
        this.rs.updateLong(int0, long1);
    }

    @Override // java.sql.ResultSet
    public void updateFloat(int int0, float float1) throws SQLException {
        this.rs.updateFloat(int0, float1);
    }

    @Override // java.sql.ResultSet
    public void updateDouble(int int0, double double1) throws SQLException {
        this.rs.updateDouble(int0, double1);
    }

    @Override // java.sql.ResultSet
    public void updateBigDecimal(int int0, BigDecimal bigDecimal) throws SQLException {
        this.rs.updateBigDecimal(int0, bigDecimal);
    }

    @Override // java.sql.ResultSet
    public void updateString(int int0, String string) throws SQLException {
        this.rs.updateString(int0, string);
    }

    @Override // java.sql.ResultSet
    public void updateBytes(int int0, byte[] byteArray) throws SQLException {
        this.rs.updateBytes(int0, byteArray);
    }

    @Override // java.sql.ResultSet
    public void updateDate(int int0, Date date) throws SQLException {
        this.rs.updateDate(int0, date);
    }

    @Override // java.sql.ResultSet
    public void updateTime(int int0, Time time) throws SQLException {
        this.rs.updateTime(int0, time);
    }

    @Override // java.sql.ResultSet
    public void updateTimestamp(int int0, Timestamp timestamp) throws SQLException {
        this.rs.updateTimestamp(int0, timestamp);
    }

    @Override // java.sql.ResultSet
    public void updateAsciiStream(int int0, InputStream inputStream, int int2) throws SQLException {
        this.rs.updateAsciiStream(int0, inputStream, int2);
    }

    @Override // java.sql.ResultSet
    public void updateBinaryStream(int int0, InputStream inputStream, int int2) throws SQLException {
        this.rs.updateBinaryStream(int0, inputStream, int2);
    }

    @Override // java.sql.ResultSet
    public void updateCharacterStream(int int0, Reader reader, int int2) throws SQLException {
        this.rs.updateCharacterStream(int0, reader, int2);
    }

    @Override // java.sql.ResultSet
    public void updateObject(int int0, Object object, int int2) throws SQLException {
        this.rs.updateObject(int0, object, int2);
    }

    @Override // java.sql.ResultSet
    public void updateObject(int int0, Object object) throws SQLException {
        this.rs.updateObject(int0, object);
    }

    @Override // java.sql.ResultSet
    public void updateNull(String string) throws SQLException {
        this.rs.updateNull(string);
    }

    @Override // java.sql.ResultSet
    public void updateBoolean(String string, boolean boolean1) throws SQLException {
        this.rs.updateBoolean(string, boolean1);
    }

    @Override // java.sql.ResultSet
    public void updateByte(String string, byte byte1) throws SQLException {
        this.rs.updateByte(string, byte1);
    }

    @Override // java.sql.ResultSet
    public void updateShort(String string, short short1) throws SQLException {
        this.rs.updateShort(string, short1);
    }

    @Override // java.sql.ResultSet
    public void updateInt(String string, int int1) throws SQLException {
        this.rs.updateInt(string, int1);
    }

    @Override // java.sql.ResultSet
    public void updateLong(String string, long long1) throws SQLException {
        this.rs.updateLong(string, long1);
    }

    @Override // java.sql.ResultSet
    public void updateFloat(String string, float float1) throws SQLException {
        this.rs.updateFloat(string, float1);
    }

    @Override // java.sql.ResultSet
    public void updateDouble(String string, double double1) throws SQLException {
        this.rs.updateDouble(string, double1);
    }

    @Override // java.sql.ResultSet
    public void updateBigDecimal(String string, BigDecimal bigDecimal) throws SQLException {
        this.rs.updateBigDecimal(string, bigDecimal);
    }

    @Override // java.sql.ResultSet
    public void updateString(String string, String string1) throws SQLException {
        this.rs.updateString(string, string1);
    }

    @Override // java.sql.ResultSet
    public void updateBytes(String string, byte[] byteArray) throws SQLException {
        this.rs.updateBytes(string, byteArray);
    }

    @Override // java.sql.ResultSet
    public void updateDate(String string, Date date) throws SQLException {
        this.rs.updateDate(string, date);
    }

    @Override // java.sql.ResultSet
    public void updateTime(String string, Time time) throws SQLException {
        this.rs.updateTime(string, time);
    }

    @Override // java.sql.ResultSet
    public void updateTimestamp(String string, Timestamp timestamp) throws SQLException {
        this.rs.updateTimestamp(string, timestamp);
    }

    @Override // java.sql.ResultSet
    public void updateAsciiStream(String string, InputStream inputStream, int int2) throws SQLException {
        this.rs.updateAsciiStream(string, inputStream, int2);
    }

    @Override // java.sql.ResultSet
    public void updateBinaryStream(String string, InputStream inputStream, int int2) throws SQLException {
        this.rs.updateBinaryStream(string, inputStream, int2);
    }

    @Override // java.sql.ResultSet
    public void updateCharacterStream(String string, Reader reader, int int2) throws SQLException {
        this.rs.updateCharacterStream(string, reader, int2);
    }

    @Override // java.sql.ResultSet
    public void updateObject(String string, Object object, int int2) throws SQLException {
        this.rs.updateObject(string, object, int2);
    }

    @Override // java.sql.ResultSet
    public void updateObject(String string, Object object) throws SQLException {
        this.rs.updateObject(string, object);
    }

    @Override // java.sql.ResultSet
    public void insertRow() throws SQLException {
        this.rs.insertRow();
    }

    @Override // java.sql.ResultSet
    public void updateRow() throws SQLException {
        this.rs.updateRow();
    }

    @Override // java.sql.ResultSet
    public void deleteRow() throws SQLException {
        this.rs.deleteRow();
    }

    @Override // java.sql.ResultSet
    public void refreshRow() throws SQLException {
        this.rs.refreshRow();
    }

    @Override // java.sql.ResultSet
    public void cancelRowUpdates() throws SQLException {
        this.rs.cancelRowUpdates();
    }

    @Override // java.sql.ResultSet
    public void moveToInsertRow() throws SQLException {
        this.rs.moveToInsertRow();
    }

    @Override // java.sql.ResultSet
    public void moveToCurrentRow() throws SQLException {
        this.rs.moveToCurrentRow();
    }

    @Override // java.sql.ResultSet
    public Statement getStatement() throws SQLException {
        return this.stmt;
    }

    @Override // java.sql.ResultSet
    public Object getObject(int int0, Map map) throws SQLException {
        return this.rs.getObject(int0, (Map<String, Class<?>>) map);
    }

    @Override // java.sql.ResultSet
    public Ref getRef(int int0) throws SQLException {
        return this.rs.getRef(int0);
    }

    @Override // java.sql.ResultSet
    public Blob getBlob(int int0) throws SQLException {
        return this.rs.getBlob(int0);
    }

    @Override // java.sql.ResultSet
    public Clob getClob(int int0) throws SQLException {
        return this.rs.getClob(int0);
    }

    @Override // java.sql.ResultSet
    public Array getArray(int int0) throws SQLException {
        return this.rs.getArray(int0);
    }

    @Override // java.sql.ResultSet
    public Object getObject(String string, Map map) throws SQLException {
        return this.rs.getObject(string, (Map<String, Class<?>>) map);
    }

    @Override // java.sql.ResultSet
    public Ref getRef(String string) throws SQLException {
        return this.rs.getRef(string);
    }

    @Override // java.sql.ResultSet
    public Blob getBlob(String string) throws SQLException {
        return this.rs.getBlob(string);
    }

    @Override // java.sql.ResultSet
    public Clob getClob(String string) throws SQLException {
        return this.rs.getClob(string);
    }

    @Override // java.sql.ResultSet
    public Array getArray(String string) throws SQLException {
        return this.rs.getArray(string);
    }

    @Override // java.sql.ResultSet
    public Date getDate(int int0, Calendar calendar) throws SQLException {
        return this.rs.getDate(int0, calendar);
    }

    @Override // java.sql.ResultSet
    public Date getDate(String string, Calendar calendar) throws SQLException {
        return this.rs.getDate(string, calendar);
    }

    @Override // java.sql.ResultSet
    public Time getTime(int int0, Calendar calendar) throws SQLException {
        return this.rs.getTime(int0, calendar);
    }

    @Override // java.sql.ResultSet
    public Time getTime(String string, Calendar calendar) throws SQLException {
        return this.rs.getTime(string, calendar);
    }

    @Override // java.sql.ResultSet
    public Timestamp getTimestamp(int int0, Calendar calendar) throws SQLException {
        return this.rs.getTimestamp(int0, calendar);
    }

    @Override // java.sql.ResultSet
    public Timestamp getTimestamp(String string, Calendar calendar) throws SQLException {
        return this.rs.getTimestamp(string, calendar);
    }

    @Override // java.sql.ResultSet
    public URL getURL(int columnIndex) throws SQLException {
        return this.rs.getURL(columnIndex);
    }

    @Override // java.sql.ResultSet
    public URL getURL(String columnName) throws SQLException {
        return this.rs.getURL(columnName);
    }

    @Override // java.sql.ResultSet
    public void updateRef(int columnIndex, Ref x) throws SQLException {
        this.rs.updateRef(columnIndex, x);
    }

    @Override // java.sql.ResultSet
    public void updateRef(String columnName, Ref x) throws SQLException {
        this.rs.updateRef(columnName, x);
    }

    @Override // java.sql.ResultSet
    public void updateBlob(int columnIndex, Blob x) throws SQLException {
        this.rs.updateBlob(columnIndex, x);
    }

    @Override // java.sql.ResultSet
    public void updateBlob(String columnName, Blob x) throws SQLException {
        this.rs.updateBlob(columnName, x);
    }

    @Override // java.sql.ResultSet
    public void updateClob(int columnIndex, Clob x) throws SQLException {
        this.rs.updateClob(columnIndex, x);
    }

    @Override // java.sql.ResultSet
    public void updateClob(String columnName, Clob x) throws SQLException {
        this.rs.updateClob(columnName, x);
    }

    @Override // java.sql.ResultSet
    public void updateArray(int columnIndex, Array x) throws SQLException {
        this.rs.updateArray(columnIndex, x);
    }

    @Override // java.sql.ResultSet
    public void updateArray(String columnName, Array x) throws SQLException {
        this.rs.updateArray(columnName, x);
    }
}
